diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index e2f0b11..9454583 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -118197,9 +118197,15 @@ SimpleFortranProgram(R,FS): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SINT SingleInteger}
-The definition of {\bf one?} has been rewritten 
-as it relies on calling {\bf ONEP} which is a function specific
-to Codemist Common Lisp but is not defined in Common Lisp.
+
+This type represents finite (machine) precision integers which wrap
+around at a machine dependent value. However, {\bf SingleInteger} has
+type {\bf EntireRing} which should have no non-zero divisors. But
+\[ (2**16:SINT)**2 = 0\]
+on a 32 bit machine. Using {\bf SingleInteger} is a pragmatic
+efficiency choice. In this condition, Axiom will complain that the
+result is not of type FIXNUM, which is the Common Lisp type for
+machine integers.
 
 \begin{chunk}{SingleInteger.input}
 )set break resume
diff --git a/changelog b/changelog
index b857073..dd1b005 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140629 tpd src/axiom-website/patches.html 20140629.05.tpd.patch
+20140629 tpd books/bookvol10.3 add information to SingleInteger
 20140629 tpd src/axiom-website/patches.html 20140629.04.tpd.patch
 20140629 tpd Makefile default to notests for users
 20140629 tpd src/axiom-website/patches.html 20140629.03.tpd.patch
diff --git a/patch b/patch
index 416c5c6..63f0393 100644
--- a/patch
+++ b/patch
@@ -1,12 +1,10 @@
-Makefile default to notests for users
+books/bookvol10.3 add information to SingleInteger
 
-Users see failing tests and complain. Some tests are intended to fail.
-These can be enabled from the command line, e.g.
-   make TESTSET=regresstests
-
-The available options are
-richtests      -- the Albert Rich integration tests (very long time)
-catstests      -- the computer algebra test suite CATS (very long time)
-regresstests   -- the src/input and algebra tests (normal)
-alltests       -- very long time
-notests        -- skip the tests
+This type represents finite (machine) precision integers which wrap
+around at a machine dependent value. However, {\bf SingleInteger} has
+type {\bf EntireRing} which should have no non-zero divisors. But
+\[ (2**16:SINT)**2 = 0\]
+on a 32 bit machine. Using {\bf SingleInteger} is a pragmatic
+efficiency choice. In this condition, Axiom will complain that the
+result is not of type FIXNUM, which is the Common Lisp type for
+machine integers.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index efdea5c..22c699c 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4510,6 +4510,8 @@ books/bookvolbib add Vict11, Vict12 to Advanced Documentation
 src/axiom-website/documentation.html add McNamara quote
 <a href="patches/20140629.04.tpd.patch">20140629.04.tpd.patch</a>
 Makefile default to notests for users
+<a href="patches/20140629.05.tpd.patch">20140629.05.tpd.patch</a>
+books/bookvol10.3 add information to SingleInteger
  </body>
 </html>
 
